TopWindow incorrectly animated if popup appears

06/12/2012 02:23 PM - Daniel Kos

Status: Rejected Start date: 06/12/2012

Priority: High Due date:

Assignee: Daniel Kos % Done: 0%

Category: CtrlCore Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

How to reproduce:

1. Open ide project in TheIde and select Draw package and then select DrawText.cpp file

2. Press Ctrl-G

3. Find a DrawText method that has signature longer than symbol column's width (popup should appear) and leave mouse pointer there

(see screenshot1)

4. Press ESC to close the window

5. Press Ctrl-G again to see incorrectly animated window during opening (screenshot2) (I guess this is vista+ issue only)

I found that this happens only if method signature is painted over the window middle.

History

#1 - 06/12/2012 02:25 PM - Daniel Kos

- Priority changed from Normal to Low

#2 - 06/13/2012 08:02 AM - Miroslav Fidler

- Priority changed from Low to High

#3 - 10/12/2012 09:36 AM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Daniel Kos

I was unable to reproduce; anyway I was doing something with DisplayPopUp recently too.

Does this problem still exist?

Mirek

#4 - 02/23/2015 03:24 PM - Miroslav Fidler

- Status changed from New to Rejected
